javax.lang.model.type

## Interface UnionType

- All Superinterfaces:
    TypeMirror

      public interface UnionType
      extends TypeMirror

  Represents a union type. As of the `RELEASE_7` source version, union types can appear as the type of a multi-catch exception parameter.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends TypeMirror>` | `getAlternatives()` Return the alternatives comprising this union type.

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

- - ### Method Detail

    - #### getAlternatives

          List<? extends TypeMirror> getAlternatives()

      Return the alternatives comprising this union type.
      Returns:
        the alternatives comprising this union type.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.